<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package CleanWP
 */

get_header(); ?>

<div id="primary" class="content-area">
<main id="main" class="site-main" role="main">

<header class="page-header">
        <h1 class="page-title"><?php _e( 'Oops! That page can not be found.', 'cleanwp' ); ?></h1>
</header><!-- .page-header -->
 
<div class="page-content">
        <p><?php _e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'cleanwp' ); ?></p>    
        <?php get_search_form(); ?>

        <?php the_widget( 'WP_Widget_Recent_Posts' ); ?>

        <div>
            <h2><?php _e( 'Most Used Categories', 'cleanwp' ); ?></h2>
            <ul>
            <?php
                    wp_list_categories( array(
                            'orderby'    => 'count',
                            'order'      => 'DESC',
                            'show_count' => 1,
                            'title_li'   => '',
                            'number'     => 10,
                    ) );
            ?>
            </ul>
        </div>

        <?php
            $archive_content = '<p>' . sprintf( __( 'Try looking in the monthly archives. %1$s', 'cleanwp' ), convert_smilies( ':)' ) ) . '</p>';
            the_widget( 'WP_Widget_Archives', 'dropdown=1', "after_title=</h2>$archive_content" );
        ?>

        <?php the_widget( 'WP_Widget_Tag_Cloud' ); ?>        
        
</div>

</main><!-- #main -->
</div><!-- #primary -->
<?php get_footer(); ?>